Bug 246070 - glipper crashes on startup
glipper crashes on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glipper (Show other bugs)
10
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 06:56 EDT by Matěj Cepl
Modified: 2009-12-18 00:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace (70.83 KB, text/plain)
2007-08-14 11:33 EDT, Matěj Cepl
no flags Details
glipper bug report (400.27 KB, text/plain)
2008-05-26 22:01 EDT, MASAO TAKAHASHI
no flags Details

  None (edit)
Description Matěj Cepl 2007-06-28 06:56:58 EDT
Description of problem:


Version-Release number of selected component (if applicable):
I was actually never able to make glipper working on x86_64. See the current
backtrace:

(gdb) thread apply all bt

Thread 1 (process 10817):
#0  0x00000033cc478bc0 in memcpy () from /lib64/libc.so.6
#1  0x00000033cc460b23 in _IO_getline_info (fp=0x642280, buf=0x0, n=4, 
    delim=10, extract_delim=1, eof=0x0) at iogetline.c:114
#2  0x00000033cc45f9e9 in _IO_fgets (buf=0x0, n=<value optimized out>, 
    fp=0x642280) at iofgets.c:58
#3  0x0000000000403f38 in readPreferences () at /usr/include/bits/stdio2.h:109
#4  0x0000000000404f81 in main (argc=1, argv=0x7fff74eb35c8) at main.c:608
#5  0x00000033cc41daa4 in __libc_start_main (main=0x404ef0 <main>, argc=1, 
    ubp_av=0x7fff74eb35c8, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff74eb35b8) at libc-start.c:222
#6  0x0000000000403bc9 in _start ()
(gdb) 



How reproducible:
100%

Steps to Reproduce:
1.run glipper
2.
3.
  
Actual results:
observe the core dump

Expected results:
should just start up

Additional info:
Comment 1 Matěj Cepl 2007-08-14 11:33:42 EDT
Created attachment 161274 [details]
strace

Just to keep conversation going. The current backtrace (glipper-0.95.1-2.fc7):

(gdb) thread apply all backtrace

Thread 1 (Thread 46912498467424 (LWP 9127)):
#0  0x0000003087078f99 in memcpy () from /lib64/libc.so.6
#1  0x0000003087060b23 in _IO_getline_info (fp=0x6462a0, buf=0x0, n=4, 
    delim=10, extract_delim=1, eof=0x0) at iogetline.c:114
#2  0x000000308705f9e9 in _IO_fgets (buf=0x0, n=<value optimized out>, 
    fp=0x6462a0) at iofgets.c:58
#3  0x0000000000403f38 in readPreferences () at /usr/include/bits/stdio2.h:109
#4  0x0000000000404f81 in main (argc=1, argv=0x7fff086addf8) at main.c:608
#5  0x000000308701dab4 in __libc_start_main (main=0x404ef0 <main>, argc=1, 
    ubp_av=0x7fff086addf8, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff086adde8) at libc-start.c:222
#6  0x0000000000403bc9 in _start ()
(gdb)
Comment 2 ryan f 2008-03-26 12:27:29 EDT
i have had the same problem as this. solved by deleting user's .glipper not sure
if it is the same problem as yourself but it was the same symptom.
ryan
Comment 3 Bug Zapper 2008-05-14 09:18:30 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 MASAO TAKAHASHI 2008-05-26 22:00:17 EDT
I have experienced a same problem.
Environment
FC9
Comment 5 MASAO TAKAHASHI 2008-05-26 22:01:08 EDT
Created attachment 306718 [details]
glipper bug report
Comment 6 ryan f 2008-05-28 20:50:20 EDT
(In reply to comment #4)
> I have experienced a same problem.
> Environment
> FC9
> 

did you try deleting your glipper configuration in your users directory? (if
existent)

curious to see if this is a workaround or a one-off fix for myself
Comment 7 Matěj Cepl 2008-05-29 03:34:36 EDT
Damien, I would really like to see some response from you. Please.

(This is a first notice according to
https://fedoraproject.org/wiki/PackageMaintainers/Policy/NonResponsiveMaintainers)
Comment 8 MASAO TAKAHASHI 2008-05-29 03:54:47 EDT
(In reply to comment #6)
> (In reply to comment #4)
> > I have experienced a same problem.
> > Environment
> > FC9
> > 
> 
> did you try deleting your glipper configuration in your users directory? (if
> existent)
> 
> curious to see if this is a workaround or a one-off fix for myself
I tried deleting ".glipper". But glipper is crashed to start up.
Another trying
  Downloading CVS version of glipper and Building it, it works good.

Comment 9 Arkady L. Shane 2008-11-17 02:42:57 EST
Now (Nov 17 2008) glipper also crashes every time. It is necessary to rebuild it to fix this problem.
Comment 10 Bug Zapper 2008-11-25 20:56:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Jason Haar 2009-04-04 03:47:19 EDT
This is a me too.

I'm using FC10 with full disk encryption and the disk gets pretty hammered during login - and glipper almost 100% of the time crashes during that period.

I think there's a timing issue - the login process on my machine may be many seconds longer than a non-encrypted system - but the fact is that nothing BUT glipper seems to have an issue with it. i.e. I have 11 applets running - and glipper is the only one that has any issues.

It crashes, but if I re-add it (no other way to restart a crashed applet), it starts just fine. 

I think the crash is timing-related. Maybe the others reporting this also had encrypted harddisks - or otherwise slow I/O systems?

Jason
Comment 12 Bug Zapper 2009-11-18 02:44:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 00:56:38 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.